Index: uspace/lib/net/include/nil_local.h
===================================================================
--- uspace/lib/net/include/nil_local.h	(revision 14f1db0aaed5208d5e8340c816ca6e555f81f67e)
+++ uspace/lib/net/include/nil_local.h	(revision a8ca1d817fa93ba15a19d092c625d4ed7045f759)
@@ -27,6 +27,6 @@
  */
 
-/** @addtogroup net_nil
- *  @{
+/** @addtogroup libnet
+ * @{
  */
 
@@ -36,6 +36,6 @@
  */
 
-#ifndef __NET_NIL_LOCAL_H__
-#define __NET_NIL_LOCAL_H__
+#ifndef LIBNET_NIL_LOCAL_H_
+#define LIBNET_NIL_LOCAL_H_
 
 #include <ipc/ipc.h>
@@ -45,38 +45,88 @@
  * Is called by the module_start() function.
  *
- * @param[in] net_phone The networking moduel phone.
- *
- * @return EOK on success.
- * @return Other error codes as defined for each specific module initialize function.
- *
+ * @param[in] net_phone	The networking moduel phone.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ *			initialize function.
  */
 extern int nil_initialize(int);
 
+/** Notify the network interface layer about the device state change.
+ *
+ * @param[in] nil_phone	The network interface layer phone.
+ * @param[in] device_id	The device identifier.
+ * @param[in] state	The new device state.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ *			device state function.
+ */
 extern int nil_device_state_msg_local(int, device_id_t, int);
+
+
+/** Pass the packet queue to the network interface layer.
+ *
+ * Process and redistribute the received packet queue to the registered
+ * upper layers.
+ *
+ * @param[in] nil_phone	The network interface layer phone.
+ * @param[in] device_id	The source device identifier.
+ * @param[in] packet	The received packet or the received packet queue.
+ * @param target	The target service. Ignored parameter.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for each specific module
+ * 			received function.
+ */
 extern int nil_received_msg_local(int, device_id_t, packet_t, services_t);
 
 /** Message processing function.
  *
- * @param[in]  name         Module name.
- * @param[in]  callid       The message identifier.
- * @param[in]  call         The message parameters.
- * @param[out] answer       The message answer parameters.
- * @param[out] answer_count The last parameter for the actual answer
- *                          in the answer parameter.
- *
- * @return EOK on success.
- * @return ENOTSUP if the message is not known.
- * @return Other error codes as defined for each specific
- *         module message function.
+ * @param[in] name	Module name.
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
+ * @param[out] answer_count The last parameter for the actual answer in the
+ *			answer parameter.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for each specific module
+ *			message function.
  *
  * @see nil_interface.h
  * @see IS_NET_NIL_MESSAGE()
+ */
+extern int nil_message_standalone(const char *, ipc_callid_t, ipc_call_t *,
+    ipc_call_t *, int *);
+
+/** Pass the parameters to the module specific nil_message() function.
  *
+ * @param[in] name	Module name.
+ * @param[in] callid	The message identifier.
+ * @param[in] call	The message parameters.
+ * @param[out] answer	The message answer parameters.
+ * @param[out] answer_count The last parameter for the actual answer in the
+ *			answer parameter.
+ * @return		EOK on success.
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for each specific module
+ *			message function.
  */
-extern int nil_message_standalone(const char *, ipc_callid_t, ipc_call_t *, ipc_call_t *,
-    int *);
-
 extern int nil_module_message_standalone(const char *, ipc_callid_t,
     ipc_call_t *, ipc_call_t *, int *);
+
+/** Start the standalone nil layer module.
+ *
+ * Initialize the client connection serving function, initialize
+ * the module, register the module service and start the async
+ * manager, processing IPC messages in an infinite loop.
+ *
+ * @param[in] client_connection The client connection processing function.
+ *			The module skeleton propagates its own one.
+ * @return		EOK on success.
+ * @return		Other error codes as defined for the pm_init() function.
+ * @return		Other error codes as defined for the nil_initialize()
+ *			function.
+ * @return		Other error codes as defined for the REGISTER_ME() macro
+ *			function.
+ */
 extern int nil_module_start_standalone(async_client_conn_t);
 
